%define upstream_name    Any-Moose
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use Moose or Mouse modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SA/SARTAK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Mouse)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: perl(Mouse)

%description
Actual documentation is forthcoming, once we solidify all the bits of the
API. The examples above are very likely to continue working.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2011.0
+ Revision: 553061
- update to 0.13

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 532137
- update to 0.12

* Mon Dec 14 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.1
+ Revision: 478547
- update to 0.11

* Thu Oct 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-2mdv2010.0
+ Revision: 452038
- bump mkrel
- adding missing runtime requires:

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 392717
- update to 0.10

* Mon Jun 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 384052
- update to 0.09
- using %%perl_convert_version
- cleaned license tag

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-4mdv2010.0
+ Revision: 378280
- hardcode Mouse dependency, virtual package is useless

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-3mdv2010.0
+ Revision: 378182
- requires perl-Moose-implementation virtual package

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.07-2mdv2010.0
+ Revision: 375966
- rebuild

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2010.0
+ Revision: 371866
- import perl-Any-Moose


* Mon May 04 2009 cpan2dist 0.07-1mdv
- initial mdv release, generated with cpan2dist

